Summary:	common error codes for GnuPG related projects
Name:		libgpg-error
Version:	1.21
Release: 	10.11%{?dist}1a
URL:		ftp://ftp.gnupg.org/gcrypt/libgpg-error/
Source0:	ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2.sig
Group:		System Environment/Libraries
License:	LGPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gettext-libs
BuildRequires:	gettext-devel
#BuildArch: fat
Vendor: MacOS X WorkShop
Distribution: MacOS X WorkShop

%description
This is a library that defines common error values for all GnuPG
components. Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package devel
Summary:	Development files for the %{name} package
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future. This package
contains files necessary to develop applications using libgpg-error.

%prep
%setup -q

%build
%configure

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}
rm -rf $RPM_BUILD_ROOT%{_datadir}/common-lisp

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%ifnos darwin
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,wheel)
%doc COPYING COPYING.LIB AUTHORS README INSTALL NEWS ChangeLog
%{_bindir}/gpg-error
%{_libdir}/libgpg-error.*.dylib

%files devel
%defattr(-,root,wheel)
%{_bindir}/gpg-error-config
%{_libdir}/libgpg-error.dylib
%{_includedir}/gpg-error*.h
%{_datadir}/aclocal/gpg-error.m4

%changelog
* Wed Feb 10 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 1.21-10.11hepx1a
- 1st release on MacOSX 10.11.

* Thu Jan 19 2012 KOBAYASHI Taizo <tkoba@me.com> 1.10-1
- new upstream release
- modified for OSXWS 10.7

* Fri Jan 15 2010 KOBAYASHI Taizo <tkoba@me.com> 1.6-1
- modified for OSXWS 10.6

* Sat Jun 27 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.6-3
- added compat32 package for x86_64 arch support

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6-2
- spec in utf-8
- remove static lib

* Tue Mar 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6-1vl5
- new upstream release
- used _dist_release macro

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4-0vl1
- new upstream release
- add Vendor/Distribution tag

* Sun Apr 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3-0vl1
- new upstream release

* Tue Nov 30 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- initial build for Vine Linux

* Tue Aug 31 2004 Bill Nottingham <notting@redhat.com> - 1.0-1
- update to 1.0

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 0.7-1
- adapt upstream specfile
